﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsControlLibrary1
{
  public partial class UserControl1 : UserControl
  {
    public UserControl1()
    {
      InitializeComponent();

    }

    protected override void OnPaint(System.Windows.Forms.PaintEventArgs e)
    {
      Draw(e.Graphics, e.ClipRectangle);
    }

    private void Draw(System.Drawing.Graphics g, System.Drawing.Rectangle r)
    {

        g.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
      g.DrawLine(Pen, r.Width / 2, 0, r.Width / 2, r.Height);
    }

    private Pen pen;

    public Pen Pen
    {
      get
      {
        if (pen == null)
        {
          pen = new Pen(Color.Red);
        }
        pen.Width = 1;
        pen.DashStyle = System.Drawing.Drawing2D.DashStyle.Dot;
        return pen;
      }
    }

  }
}
